Setup
List Custom Metrics
https://api.synthesio.com/v1 /projects/{project_id}/setup/custom_metrics
Lists the custom metrics available in the project.
Path parameters#
project_id
string required
ID of the project
Responses#
Successful Response
custom_metrics array of object
custom_metrics[].id string
custom_metrics[].name string
custom_metrics[].description string
{
"custom_metrics": [
{
"id": "Bm0ZmlXo33eKXi7Spcs5X8Z8Ryj",
"name": "Share of positive",
"description": "Share of mentions with positive sentiment"
},
{
"id": "9t1Ah3wGvPgdVBxDw6KHAQDivJM",
"name": "Long Term Velocity",
"description": ""
}
]
}Bad request
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Unauthorized
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Forbidden
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Not found
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Method not allowed
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Internal server error
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}